package bus

import (
	"encoding/json"
	"queencount/db/model"

	"github.com/nats-io/nats.go"
)

func AssetRemoveHandler(msg *nats.Msg) {
	var req model.AssetEvent
	err := json.Unmarshal(msg.Data, &req)
	if err != nil {
		return
	}
	AssetCountAction("remove", &req)
}
